## apper 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
cmake_policy(SET CMP0063 NEW)

project(Apper VERSION 1.0.0)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include(FindPkgConfig)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)

find_package(Qt5 5.7.0 CONFIG REQUIRED Core DBus Widgets Quick Sql XmlPatterns)

# Load the frameworks we need
find_package(KF5 REQUIRED COMPONENTS
  Config
  DocTools
  GuiAddons
  I18n
  KCMUtils
  DBusAddons
  KIO
  Notifications
  IconThemes
)
find_package(LibKWorkspace REQUIRED)
find_package(KDED REQUIRED)
find_package(PackageKitQt5 1.0.0 REQUIRED)

#
# Options
#

# The various parts of Apper that can be built, or not.
option(BUILD_APPER "Build the Apper application" ON)
option(BUILD_APPERD "Build the Apper daemon" ON)
option(BUILD_DECLARATIVE "Build the Qt Quick plugins" ON)
option(BUILD_PKSESSION "Build the PkSession helper application" ON)
option(BUILD_PLASMOID "Build the update notifier plasmoid" ON)

# Only for Debian based systems
option(DEBCONF_SUPPORT "Build Apper with debconf support" OFF)

# Yum does not support this
option(AUTOREMOVE "Build Apper with auto remove enabled" OFF)
set(HAVE_AUTOREMOVE ${AUTOREMOVE})
message(STATUS "Building Apper with auto remove: " ${AUTOREMOVE})

# AppStream application management support
option(APPSTREAM "Build Apper with AppStream support" OFF)
set(HAVE_APPSTREAM ${APPSTREAM})
message(STATUS "Building Apper with AppStream support: " ${APPSTREAM})

# Enable support for Limba packages
option(LIMBA "Build Apper with Limba bundle support" OFF)
set(HAVE_LIMBA ${LIMBA})
message(STATUS "Building Apper with Limba support: " ${LIMBA})

option(MAINTAINER "Enable maintainer mode" OFF)

if(DEBCONF_SUPPORT)
    # Tries to find the package, when it finds it, set HAVE_DEBCONFKDE
    find_package(DebconfKDE REQUIRED)
    message(STATUS "Building with Debconf support")
    set(HAVE_DEBCONF ${DEBCONF_SUPPORT})
endif(DEBCONF_SUPPORT)

# command to edit the packages origins
set(EDIT_ORIGNS_DESKTOP_NAME "" CACHE STRING "Edit origins desktop name")
if (EDIT_ORIGNS_DESKTOP_NAME)
    message(STATUS "Edit origins desktop name: " ${EDIT_ORIGNS_DESKTOP_NAME})
endif(EDIT_ORIGNS_DESKTOP_NAME)

# Generate config.h
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)

#
# Add definitions
#
set(MAINTAINER_CFLAGS "")
if(MAINTAINER)
    set(MAINTAINER_CFLAGS "-Werror -Wall -Wcast-align -Wno-uninitialized -Wempty-body -Wformat-security -Winit-self -Wno-deprecated-declarations")
    if (CMAKE_COMPILER_IS_GNUCC)
        execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
                OUTPUT_VARIABLE GCC_VERSION)
        if (GCC_VERSION VERSION_GREATER 4.9 OR GCC_VERSION VERSION_EQUAL 4.9)
            set(MAINTAINER_CFLAGS ${MAINTAINER_CFLAGS} "-fdiagnostics-color=auto")
        endif()
    endif()
endif(MAINTAINER)
add_definitions(${MAINTAINER_CFLAGS})

add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
  -DQT_USE_FAST_OPERATOR_PLUS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
)

#
# Global includes
#
include_directories(${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${PackageKitQt5_INCLUDE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/libapper)

#
# Subcomponents
#
add_subdirectory(libapper)
if(BUILD_APPER)
    add_subdirectory(Apper)
endif(BUILD_APPER)
if(BUILD_PKSESSION)
    add_subdirectory(PkSession)
endif(BUILD_PKSESSION)
if(BUILD_APPERD)
    add_subdirectory(apperd)
endif(BUILD_APPERD)
if(BUILD_DECLARATIVE)
#    add_subdirectory(declarative-plugins)
endif(BUILD_DECLARATIVE)
if(BUILD_PLASMOID)
#    add_subdirectory(plasmoid)
endif(BUILD_PLASMOID)
if(LIMBA)
    add_subdirectory(AppSetup)
endif()
add_subdirectory(doc)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== AppSetup/CMakeLists.txt ===
# CMakeLists for Apper AppSetup

pkg_check_modules(GLIB2 REQUIRED glib-2.0>=2.36)
pkg_check_modules(LIMBA REQUIRED limba>=0.2.0)
pkg_check_modules(APPSTREAM REQUIRED appstream>=0.7.6)

include_directories(${CMAKE_CURRENT_BINARY_DIR}
        ${GLIB2_INCLUDE_DIR}
        ${LIMBA_INCLUDE_DIRS}
        ${APPSTREAM_INCLUDE_DIRS}
)

set(AppSetup_SRCS main.cpp
    SetupWizard.cpp
    SimplePage.cpp
)

ki18n_wrap_ui(AppSetup_SRCS
    SetupWizard.ui
    SimplePage.ui
)

add_executable(apper-appsetup ${AppSetup_SRCS})

set_target_properties(apper-appsetup PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/apper)

target_link_libraries(apper-appsetup
        ${KDE4_KDEUI_LIBS}
        ${GLIB2_LIBRARIES}
        ${LIMBA_LIBRARIES}
        ${APPSTREAM_LIBRARIES}
        apper_private
)

install(TARGETS apper-appsetup RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES apper_appsetup.desktop DESTINATION ${CMAKE_INSTALL_APPDIR})

=== Apper/CMakeLists.txt ===
# CMakeLists for the apper executable and misc data

set(apper_SRCS
    Settings/Settings.cpp
    Settings/OriginModel.cpp
    Updater/UpdateDetails.cpp
    Updater/DistroUpgrade.cpp
    Updater/CheckableHeader.cpp
    Updater/Updater.cpp
    FiltersMenu.cpp
    ClickableLabel.cpp
    ScreenShotViewer.cpp
    PackageDetails.cpp
    GraphicsOpacityDropShadowEffect.cpp
    CategoryModel.cpp
    BrowseView.cpp
    TransactionModel.cpp
    TransactionFilterModel.cpp
    TransactionHistory.cpp
    ApperKCM.cpp
    ApperKCM.h
    MainUi.cpp
    BackendDetails.cpp
    Apper.cpp
    main.cpp
)

ki18n_wrap_ui(apper_SRCS
    BackendDetails.ui
    Settings/Settings.ui
    Updater/UpdateDetails.ui
    Updater/Updater.ui
    PackageDetails.ui
    BrowseView.ui
    TransactionHistory.ui
    ApperKCM.ui
)

add_executable(apper
    ${apper_SRCS}
)

target_link_libraries(apper
    KF5::IconThemes
    KF5::DBusAddons
    PK::packagekitqt5
    apper_private
)

set_target_properties(apper PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/apper)

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/apper DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES org.kde.apper.desktop DESTINATION ${CMAKE_INSTALL_APPDIR})
install(FILES org.kde.apper_installer.desktop DESTINATION ${CMAKE_INSTALL_APPDIR})
install(FILES org.kde.apper_settings.desktop DESTINATION ${CMAKE_INSTALL_APPDIR})
install(FILES org.kde.apper_updates.desktop DESTINATION ${CMAKE_INSTALL_APPDIR})
install(FILES org.kde.apper.appdata.xml DESTINATION ${CMAKE_INSTALL_METAINFODIR})

add_subdirectory(Icons)
add_subdirectory(Animations)

=== PkSession/CMakeLists.txt ===
# CMakeLists for Apper PackageKit Session Interface

set(pksession_SRCS
    AbstractIsRunning.cpp
    FilesModel.cpp
    IntroDialog.cpp
    ReviewChanges.cpp
    SessionTask.cpp
    PkInterface.cpp
    PkInstallPackageNames.cpp
    PkSearchFile.cpp
    PkIsInstalled.cpp
    PkInstallMimeTypes.cpp
    PkInstallGStreamerResources.cpp
    PkInstallFontconfigResources.cpp
    PkInstallPlasmaResources.cpp
    PkInstallPackageFiles.cpp
    PkInstallProvideFiles.cpp
    PkInstallCatalogs.cpp
    PkRemovePackageByFiles.cpp
    PkInstallPrinterDrivers.cpp
    PkSession.cpp
    main.cpp
)

qt5_add_dbus_adaptor(pksession_SRCS
    org.freedesktop.PackageKit.xml
    PkInterface.h
    PkInterface
)

ki18n_wrap_ui(pksession_SRCS
    IntroDialog.ui
    ReviewChanges.ui
    SessionTask.ui
)

add_executable(apper-pk-session
    ${pksession_SRCS}
)

target_link_libraries(apper-pk-session
    Qt5::XmlPatterns
    KF5::WidgetsAddons
    KF5::KIOFileWidgets
    KF5::IconThemes
    KF5::DBusAddons
    ${PackageKitQt5_LIBRARIES}
    apper_private
)

set_target_properties(apper-pk-session PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/apper)

install(TARGETS apper-pk-session DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})

include(MacroDBusAddActivationService)
dbus_add_activation_service(org.freedesktop.PackageKit.service.in)

=== apperd/CMakeLists.txt ===
# CMakeLists for the kded component

set(kded_apperd_SRCS
    DistroUpgrade.cpp
    DBusInterface.cpp
    TransactionJob.cpp
    TransactionWatcher.cpp
    RefreshCacheTask.cpp
    Updater.cpp
    RebootListener.cpp
    ApperdThread.cpp
    apperd.cpp
)

qt5_add_dbus_adaptor(kded_apperd_SRCS
    org.kde.apperd.xml
    DBusInterface.h
    DBusInterface
)

add_library(kded_apperd MODULE ${kded_apperd_SRCS})

target_link_libraries(kded_apperd
    KF5::WidgetsAddons
    KF5::KIOFileWidgets
    KF5::Notifications
    KF5::DBusAddons
    PW::KWorkspace
    PK::packagekitqt5
    apper_private
)

if(DEBCONF_SUPPORT)
    target_link_libraries(kded_apperd DebconfKDE::Main)
endif()

set_target_properties(kded_apperd PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/apper)

install(TARGETS kded_apperd DESTINATION ${CMAKE_INSTALL_QTPLUGINDIR})
install(FILES apperd.notifyrc DESTINATION ${CMAKE_INSTALL_DATADIR}/apperd)
install(FILES apperd.desktop DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR}/kded)

=== declarative-plugins/CMakeLists.txt ===
# CMakeLists for Apper QML plugin

set(apper_qml_plugin_SRCS
   DBusUpdaterInterface.cpp
   daemonhelper.cpp
   qmlplugins.cpp
)

qt5_add_dbus_adaptor(apper_qml_plugin_SRCS
    org.kde.ApperUpdaterIcon.xml
    DBusUpdaterInterface.h
    DBusUpdaterInterface
)

add_library(apperplugin SHARED ${apper_qml_plugin_SRCS})
target_link_libraries(apperplugin
    ${QT_QTDECLARATIVE_LIBRARY}
    KF5::WidgetsAddons
    ${PackageKitQt5_LIBRARIES}
    apper_private
)

qt5_use_modules(apperplugin Quick Core)

set_target_properties(apperplugin PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/apper)

install(TARGETS apperplugin DESTINATION ${CMAKE_INSTALL_QTQUICKIMPORTSDIR}/org/kde/apper)
install(FILES qmldir DESTINATION ${CMAKE_INSTALL_QTQUICKIMPORTSDIR}/org/kde/apper)

=== doc/CMakeLists.txt ===
# CMakeLists for Apper documentation

kdoctools_create_manpage(man-apper.1.docbook 1 INSTALL_DESTINATION ${CMAKE_INSTALL_MANDIR})
if(LIMBA)
    kdoctools_create_manpage(man-apper-appsetup.1.docbook 1 INSTALL_DESTINATION ${CMAKE_INSTALL_MANDIR})
endif()

=== libapper/CMakeLists.txt ===
# CMakeLists for Apper private shared library

add_definitions(-DTRANSLATION_DOMAIN=\"apper\")

# Set the correct compiler options
IF(CMAKE_SIZEOF_VOID_P EQUAL 4)
   # 32 bit
   MESSAGE(STATUS "Apper detected that you use a 32 bit processor.")
ELSE(CMAKE_SIZEOF_VOID_P EQUAL 4)
   # 64 bit (well, anything else than 32 bit, but someone use something else than 32 or 64 bit ?)
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
   MESSAGE(STATUS "Apper detected that you use a 64 bit processor. Added -fPIC to the CXX_FLAGS.")
ENDIF(CMAKE_SIZEOF_VOID_P EQUAL 4)

set(libapper_SRCS
    CategoryMatcher.cpp
    PkIcons.cpp
    PkStrings.cpp
    ApplicationLauncher.cpp
    ApplicationsDelegate.cpp
    ApplicationSortFilterModel.cpp
    CategoryDrawer.cpp
    ChangesDelegate.cpp
    TransactionDelegate.cpp
    PkTransaction.cpp
    PkTransactionWidget.cpp
    PkTransactionProgressModel.cpp
    RepoSig.cpp
    LicenseAgreement.cpp
    PackageModel.cpp
    CustomProgressBar.cpp
    Requirements.cpp
    PackageImportance.cpp
    CategorizedView.cpp
    InfoWidget.cpp
)

if(APPSTREAM)
    find_package(AppStreamQt REQUIRED)

    set(libapper_SRCS ${libapper_SRCS} AppStream.cpp)
endif()

ki18n_wrap_ui(libapper_SRCS
    ApplicationLauncher.ui
    PkTransactionWidget.ui
    RepoSig.ui
    LicenseAgreement.ui
    Requirements.ui
    InfoWidget.ui
)

add_library(apper_private SHARED ${libapper_SRCS})

target_link_libraries(apper_private
    KF5::WidgetsAddons
    KF5::KIOFileWidgets
    KF5::IconThemes
    KF5::I18n
    Qt5::Core
    PK::packagekitqt5
    AppStreamQt
)

install(TARGETS apper_private DESTINATION ${CMAKE_INSTALL_LIBDIR}/apper)

=== plasmoid/CMakeLists.txt ===
# CMakeLists for Apper plamoid

install(FILES package/metadata.desktop DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR} RENAME plasma-applet-org.packagekit.updater.desktop)
install(DIRECTORY package/ DESTINATION ${CMAKE_INSTALL_DATADIR}/plasma/plasmoids/org.packagekit.updater)

=== Apper/Animations/CMakeLists.txt ===
# CMakeLists for animations used by Apper

file (GLOB _animations ${CMAKE_CURRENT_SOURCE_DIR}/*.png)
ecm_install_icons(ICONS ${_animations}
    DESTINATION ${DATA_INSTALL_DIR}/apper/icons)

=== Apper/Icons/CMakeLists.txt ===
# CMakeLists for additional icons

file (GLOB _icons ${CMAKE_CURRENT_SOURCE_DIR}/*.png)
ecm_install_icons(ICONS ${_icons}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/apper/icons)

=== debian/changelog ===
apper (1.0.0-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:17:36 +1100

apper (1.0.0-5build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:52:13 +0000

apper (1.0.0-5) unstable; urgency=medium

  * Add appstream-qt5.patch & appstream1.0.patch:
    - Fix build with latest library versions

 -- Matthias Klumpp <mak@debian.org>  Mon, 18 Dec 2023 14:48:30 +0100

apper (1.0.0-4) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Use software-properties-qt instead of s-p-kde (Closes: #1028514)
  * Bump standards & dh version: No changes needed

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch & buster

 -- Matthias Klumpp <mak@debian.org>  Sat, 14 Jan 2023 17:02:06 +0100

apper (1.0.0-3) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Update-AppStream-metainfo.patch: Sync metainfo data with upstream
  * Refresh all patches
  * Bump standards version (no changes needed)
  * Set flag that d/rules doesn't require root

  [ John Scott ]
  * Fix crash by iterating variable properly. Thanks to Alexander
    Kernozhitsky for authoring the upstream patch. (Closes: #925252)
  * Switch dependency on transitional polkit-kde-1 for polkit-kde-agent-1.
    (Closes: #940793)
  * Add formerly-transitive dependency libkf5textwidgets-dev explicitly.
  * Cherrypick upstream patch to fix build with Qt 5.14.
  * debian/copyright: Update links and upgrade to HTTPS as suggested by duck.

 -- Matthias Klumpp <mak@debian.org>  Sat, 08 Aug 2020 18:45:46 +0200

apper (1.0.0-2) unstable; urgency=medium

  * Acknowledge NMU
  * Switch to dh compat level 12
  * Recommend apt-config-icons instead of shipping our own config snippet
  * Add Install-apper-binary-as-TARGET-instead-of-PROGRAM.patch from upstream:
    - Install apper binary as TARGET instead of PROGRAM. This allows us to
      drop an ugly chrpath hack from d/rules.
  * Add Update-AppStream-metadata.patch from upstream:
    - Remove AppStream generator complaints and make screenshots appear again.
  * Add Fix-proxy-file-watching.patch from upstream
  * Add Fix-apperd-metadata.patch from upstream:
    - Removes journal warning
  * Add Removed-background-gradient.patch from upstream:
    - Fixes UX issues
  * Bump standards version (no changes needed)

 -- Matthias Klumpp <mak@debian.org>  Sat, 26 Jan 2019 20:08:52 +0100

apper (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with Qt 5.11,
    thanks to Reiner Herrmann. (Closes: #906971)

 -- Adrian Bunk <bunk@debian.org>  Sat, 22 Sep 2018 22:39:11 +0300

apper (1.0.0-1) unstable; urgency=medium

  * New upstream version: 1.0.0
    - Builds with recent PackageKit-Qt (Closes: #888155)
    - Resolves some drawing issues (Closes: #876846)
  * Update d/watch
  * Update VCS and homepage URLs
  * Build without Limba support
  * Use dh compat level 11
  * Drop all patches: Applied upstream
  * Update build deps
    - Drop stale build-dep on kdelibs5-dev (Closes: #883586)
    - Don't build-depend on kio-dev transitional package (Closes: #885385)
  * fix-build-with-editorigins.patch: Fix FTBFS when EDIT_ORIGNS_DESKTOP_NAME
    is defined
  * Update install files
  * d/rules: Remove some cruft

 -- Matthias Klumpp <mak@debian.org>  Wed, 21 Feb 2018 20:38:26 +0100

=== debian/control ===
Source: apper
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               docbook,
               extra-cmake-modules,
               kded5-dev,
               libappstreamqt5-dev,
               libdebconf-kde-dev,
               libkf5config-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5textwidgets-dev,
               libpackagekitqt5-dev,
               libqt5xmlpatterns5-dev,
               pkg-kde-tools,
               plasma-workspace-dev,
               qtdeclarative5-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/system/apper/
Vcs-Git: https://salsa.debian.org/pkgutopia-team/apper.git
Vcs-Browser: https://salsa.debian.org/pkgutopia-team/apper

Package: apper
Architecture: any
Depends: apper-data (>= ${source:Version}),
         packagekit,
         polkit-kde-agent-1 | policykit-1-gnome,
         software-properties-qt,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: apper-appsetup (<< 0.7.2)
Breaks: apper-appsetup (<< 0.7.2)
Recommends: appstream,
            apt-config-icons,
            debconf-kde-helper
Description: KDE package management tool using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a KDE package manager based on PackageKit,
 as well as package management support for the KDE desktop.
 It implements the PackageKit session API for KDE, which allows
 applications to easily install additional software (e.g. extensions),
 uninstall files and perform simple software status queries.

Package: apper-data
Architecture: all
Depends: ${misc:Depends}
Description: KDE package management tool using PackageKit (data files)
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides data files for Apper, the
 KDE package manager based on PackageKit.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPER_CONFIG_FLAGS = -DDEBCONF_SUPPORT=ON \
		-DAPPSTREAM=ON \
		-DAUTOREMOVE=ON \
		-DEDIT_ORIGNS_DESKTOP_NAME=software-properties-qt

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with kde

override_dh_auto_configure:
	dh_auto_configure -Skde -- $(APPER_CONFIG_FLAGS)

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)

	# Fix file conflict between GNOME Software and Apper
	mv $(INSTALLDIR)/usr/share/dbus-1/services/org.freedesktop.PackageKit.service $(INSTALLDIR)/usr/share/dbus-1/services/kde-org.freedesktop.PackageKit.service

## apper 1.0.0%2Brebuild

=== debian/changelog ===
apper (1.0.0+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Matthias Klumpp <mak@debian.org>  Wed, 27 Jan 2021 13:55:21 +0800

=== debian/control ===
Source: apper
Section: kde
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 3.0),
               debhelper-compat (= 12),
               docbook (>= 4.5),
               extra-cmake-modules (>= 5.14),
               kded5-dev,
               libappstreamqt-dev (>= 0.11.8),
               libdebconf-kde-dev (>= 1.0.2),
               libkf5config-dev (>= 5.42),
               libkf5dbusaddons-dev (>= 5.42),
               libkf5doctools-dev (>= 5.42),
               libkf5guiaddons-dev (>= 5.42),
               libkf5i18n-dev (>= 5.42),
               libkf5kcmutils-dev(>= 5.42),
               libkf5kio-dev (>= 5.42),
               libkf5notifications-dev (>= 5.42),
               libpackagekitqt5-dev (>= 1.0.1),
               libqt5xmlpatterns5-dev,
               pkg-kde-tools (>= 0.15.28),
               plasma-workspace-dev,
               qtdeclarative5-dev (>= 5.9.2)
Standards-Version: 4.3.0
Homepage: https://www.kde.org/applications/system/apper/
Vcs-Git: https://salsa.debian.org/pkgutopia-team/apper.git
Vcs-Browser: https://salsa.debian.org/pkgutopia-team/apper

Package: apper
Architecture: any
Depends: apper-data (>= ${source:Version}),
         packagekit (>= 0.8.6),
         polkit-kde-1 | policykit-1-gnome,
         software-properties-kde,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: apper-appsetup (<< 0.7.2)
Breaks: apper-appsetup (<< 0.7.2)
Recommends: appstream,
            apt-config-icons,
            debconf-kde-helper
Description: KDE package management tool using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a KDE package manager based on PackageKit,
 as well as package management support for the KDE desktop.
 It implements the PackageKit session API for KDE, which allows
 applications to easily install additional software (e.g. extensions),
 uninstall files and perform simple software status queries.

Package: apper-data
Architecture: all
Replaces: apper (<< 0.7.2)
Breaks: apper (<< 0.7.2)
Depends: ${misc:Depends}
Description: KDE package management tool using PackageKit (data files)
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides data files for Apper, the
 KDE package manager based on PackageKit.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 APPER_CONFIG_FLAGS = -DDEBCONF_SUPPORT=ON \
 		-DAPPSTREAM=ON \
 		-DAUTOREMOVE=ON \
-		-DEDIT_ORIGNS_DESKTOP_NAME=software-properties-qt
+		-DEDIT_ORIGNS_DESKTOP_NAME=software-properties-kde
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -24,3 +24,6 @@
 
 	# Fix file conflict between GNOME Software and Apper
 	mv $(INSTALLDIR)/usr/share/dbus-1/services/org.freedesktop.PackageKit.service $(INSTALLDIR)/usr/share/dbus-1/services/kde-org.freedesktop.PackageKit.service
+
+override_dh_missing:
+	dh_missing --fail-missing
